Subject: Re: linux-next: build failure after merge of the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Mon, 24 Nov 2025 15:53:23 +0100

On Mon, Nov 24, 2025 at 03:48:12PM +0100, Miguel Ojeda wrote:
> On Mon, Nov 24, 2025 at 3:35 PM Peter Zijlstra <[email-masked]> wrote:
> >
> > At some point in the past... I just did again, and updated the relevant
> > packages and rustavailable is still green, but allmodconfig is still not
> > giving me rust.
> >
> > I'm on Debian Testing.
> 
> There are several `depends on` for `CONFIG_RUST` as Boqun mentions, so
> it is likely one of those is blocking you.
> 
> The easiest way to know which one it is is to check what `menuconfig`
> computes about the requirements (searching with the `/` command).

Yeah, that output is so long it scrolls out of the right side of the
screen and it really isn't nice to read with all the negations.